Skip to main content
GET
/
space
/
{spaceId}
/
search
cURL
curl --request GET \
  --url 'https://app.teable.ai/api/space/%7BspaceId%7D/search?type=SOME_STRING_VALUE&search=SOME_STRING_VALUE&pageSize=SOME_INTEGER_VALUE&cursor=SOME_STRING_VALUE' \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
{
  "list": [
    {
      "id": "<string>",
      "name": "<string>",
      "type": "space",
      "icon": "<string>",
      "baseId": "<string>",
      "baseName": "<string>",
      "createdTime": "<string>",
      "createdUser": {
        "id": "<string>",
        "name": "<string>",
        "avatar": "<string>"
      }
    }
  ],
  "total": 123,
  "nextCursor": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

spaceId
string
required

Query Parameters

type
enum<string>
Available options:
space,
base,
table,
view,
field,
record,
workflow,
app,
dashboard,
folder
Minimum string length: 1
pageSize
integer
default:10
Required range: 1 <= x <= 50
cursor
string

Response

200 - application/json

Returns the search results.

list
object[]
required
total
number
required
nextCursor
string | null
required
Last modified on March 5, 2026